Ubuntu 5578-1: Open VM Tools vulnerability | LinuxSecurity.com
==========================================================================
Ubuntu Security Notice USN-5578-1
August 24, 2022

open-vm-tools vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

open-vm-tools could be made to run programs as an administrator.

Software Description:
- open-vm-tools: Open VMware Tools for virtual machines hosted on VMware

Details:

It was discovered that Open VM Tools incorrectly handled certain requests.
An attacker inside the guest could possibly use this issue to gain root
privileges inside the virtual machine.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.04 LTS:
  open-vm-tools                   2:11.3.5-1ubuntu4.1

Ubuntu 20.04 LTS:
  open-vm-tools                   2:11.3.0-2ubuntu0~ubuntu20.04.3

Ubuntu 18.04 LTS:
  open-vm-tools                   2:11.0.5-4ubuntu0.18.04.2

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5578-1
  CVE-2022-31676

Package Information:
  https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.3.5-1ubuntu4.1
  https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.3.0-2ubuntu0~ubuntu20.04.3
  https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.0.5-4ubuntu0.18.04.2

Ubuntu 5578-1: Open VM Tools vulnerability

August 24, 2022

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 22.04 LTS - Ubuntu 20.04 LTS - Ubuntu 18.04 LTS Summary: open-vm-tools could be made to run programs as an administrator. Software Description: - open-vm-tools: Open VMware Tools for virtual machines hosted on VMware Details: It was discovered that Open VM Tools incorrectly handled certain requests. An attacker inside the guest could possibly use this issue to gain root privileges inside the virtual machine.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 22.04 LTS: open-vm-tools 2:11.3.5-1ubuntu4.1 Ubuntu 20.04 LTS: open-vm-tools 2:11.3.0-2ubuntu0~ubuntu20.04.3 Ubuntu 18.04 LTS: open-vm-tools 2:11.0.5-4ubuntu0.18.04.2 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-5578-1

CVE-2022-31676

Severity
Ubuntu Security Notice USN-5578-1

Package Information

https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.3.5-1ubuntu4.1 https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.3.0-2ubuntu0~ubuntu20.04.3 https://launchpad.net/ubuntu/+source/open-vm-tools/2:11.0.5-4ubuntu0.18.04.2

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.